//
// RoombaCommtest  -- small GUI to test out RoombaComm
//
// Tod E. Kurt, tod@todbot.com
//
//

package roombacomm;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.text.*;

/**
 * A simple wrapper for RoombaCommPanel.
 *
 */
public class RoombaCommTest extends JFrame implements WindowListener {

    RoombaCommPanel rcPanel;
    boolean hwhandshake = false;

    public static void main(String[] args) {
        new RoombaCommTest(args);
    }

    public RoombaCommTest(String[] args) {
        super("RoombaCommTest");
        addWindowListener(this);

        for( int i=0; i < args.length; i++ ) {
            if( args[i].endsWith("hwhandshake") )
                hwhandshake = true;
        }

        rcPanel = new RoombaCommPanel();

        rcPanel.setShowHardwareHandhake( hwhandshake );

        Container content = getContentPane();
        //content.setBackground(Color.lightGray);
        content.add( rcPanel ); // , BorderLayout.CENTER );

        setResizable(false);
        pack();
        setVisible(true);
    }


    /** implement windowlistener */
    public void windowClosing(WindowEvent event) {
        rcPanel.disconnect();
        System.exit(0);
    }
    /** implement windowlistener */
    public void windowClosed(WindowEvent event) {
        // do nothing
    }
    /** implement windowlistener */
    public void windowOpened(WindowEvent event) {
        // do nothing
    }
    /** implement windowlistener */
    public void windowActivated(WindowEvent event) {
        // do nothing
    }
    /** implement windowlistener */
    public void windowDeactivated(WindowEvent event) {
        // do nothing
    }
    /** implement windowlistener */
    public void windowIconified(WindowEvent event) {
        // do nothing
    }
    /** implement windowlistener */
    public void windowDeiconified(WindowEvent event) {
        // do nothing
    }       

}

