

package roombacomm;

import java.io.*;

/**
 *  Make Tribble noises

 * <p>
 *  Run it with something like: <pre>
 *   java roombacomm.Tribble /dev/cu.KeySerial1
 *  </pre>
 *
 */
public class Tribble {

  static RoombaComm roombacomm;

  public static void main(String[] args) {
    if( args.length == 0 ) {
      System.out.println("SimpleTest <serialportname>");
      System.exit(0);
    }
    String portname = args[0];  // e.g. "/dev/cu.KeySerial1"

    roombacomm = new RoombaCommSerial();

    if( ! roombacomm.connect( portname ) ) {
      System.err.println("Couldn't connect to "+portname);
      System.exit(1);
    }
    
    System.err.println("Roomba startup");
    roombacomm.startup();

    createTribblePurrSong();

    System.out.println("Press return to exit.");
    boolean running = true;
    while( running ) { 
      System.out.println("poo");
      try { 
        if( System.in.available() != 0 ) {
          System.out.println("something available");
          running = false;
        }
      } catch( IOException ioe ) { }


      purr();

      if( Math.random() < 0.2 )
        bark();

      roombacomm.pause(2000);

    }

  }


  public static void purr() {
    System.out.println("purr");
    float millis = 200;
    float millisTo64ths = (1000 / 64 );
    int s64ths = (int)(millis / millisTo64ths);
    roombacomm.playSong( 2 );
    for( int i=72; i>60; i-- ) {
      roombacomm.spinLeftAt( 1000 );
      roombacomm.pause( s64ths/2 );
      roombacomm.spinRightAt( 1000 );
      roombacomm.pause( s64ths/2 );
      roombacomm.stop();
    }
  }

  public static void createTribblePurrSong() {
    byte cmd[] = {
      (byte)RoombaComm.SONG, 2, 7,  // define song
      68, 4,  67, 4,  66, 4,  65, 4,
      64, 4,  63, 4,  62, 4  };
    roombacomm.send( cmd );
  }



  public static void bark() {
    System.out.println("bark");
    roombacomm.vacuum(true);
    roombacomm.playNote( 50, 5 );
    roombacomm.pause(150);
    roombacomm.vacuum(false);
  }


}
